Subject: Re: bug#33870: 27.0.50; xref-goto-xref not configurable

From: Dmitry Gutov <[email-masked]>
Date: Sun, 20 Jan 2019 03:34:12 +0300

This is offtopic, but:

On 19.01.2019 23:31, Juri Linkov wrote:
> For example, I'm not complaining that diff-hl-mode uses non-standard
> blue color for changes whereas the standard diff-mode color is yellow.

The standard diff-mode color for "change" is "none" (see the 
diff-changed), so I looked at what most other editors use (blue). I've 
only noticed the yellow in diff-refine-changed very recently, and I've 
yet to see it in practice. When is this face used exactly?

> Also I'm not complaining that flymake steals the fringe indicator from
> diff-hl-mode, although there is no conflict because diff-hl-mode
> uses the background color whereas flymake uses the foreground color,
> so they can peacefully coexist together on the fringe.

If only fringes supported that kind of merging. BTW, diff-hl-mode uses 
the foreground color for the border, but any kind of merging would be an 
improvement.